Bug 106479 - Extend ProvidedExtensions to report file locking
Extend ProvidedExtensions to report file locking
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Filesystems
6.x
All All
: P1 (vote)
: 6.x
Assigned To: rmatous
issues@platform
: API, API_REVIEW_FAST
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-06-13 12:29 UTC by Maros Sandor
Modified: 2008-12-22 14:38 UTC (History)
3 users (show)

See Also:
Issue Type: TASK
:


Attachments
attached diff for review (8.59 KB, application/octet-stream)
2007-06-13 16:33 UTC, rmatous
Details
as before but now not binary (8.59 KB, patch)
2007-06-13 16:39 UTC, rmatous
Details | Diff
follow-up changes in the Versioning SPI (1.89 KB, text/plain)
2007-06-14 13:31 UTC, Maros Sandor
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Maros Sandor 2007-06-13 12:29:30 UTC
This is to properly support versioning systems that write-protect their files on local filesystem. We need a way to make
a file r/w automatically once something tries to write to it. This is especially needed for refactoring to work. One way
of doing it is to re-use the concept from previous vcsgeneric module that makes files r/w at fileLock and r/o at
fileUnlock. I think that interceptor is not needed/possible here, so two methods fileLocked(FileObject) and
fileUnlocked(FileObject) would do.
For the purpose of review I can also attach diff of Versioning SPI here.
Comment 1 rmatous 2007-06-13 16:33:52 UTC
Created attachment 43632 [details]
attached diff for review
Comment 2 rmatous 2007-06-13 16:39:44 UTC
Created attachment 43633 [details]
as before but now not binary
Comment 3 Maros Sandor 2007-06-14 13:31:12 UTC
Created attachment 43690 [details]
follow-up changes in the Versioning SPI
Comment 4 rmatous 2007-06-14 14:00:44 UTC
I'm going to integrate these changes on Friday Jun  15. 
Comment 5 Maros Sandor 2007-06-15 15:39:17 UTC
Versioning SPI - integration done before FF.

/shared/data/ccvs/repository/versioncontrol/src/org/netbeans/modules/versioning/spi/VCSInterceptor.java,v  <-- 
VCSInterceptor.java
new revision: 1.6; previous revision: 1.5
/shared/data/ccvs/repository/versioncontrol/apichanges.xml,v  <--  apichanges.xml
new revision: 1.2; previous revision: 1.1
/shared/data/ccvs/repository/versioncontrol/nbproject/project.properties,v  <--  project.properties
new revision: 1.12; previous revision: 1.11
Comment 6 rmatous 2007-06-15 16:06:49 UTC
Integrated: 
/cvs/openide/masterfs/src/org/netbeans/modules/masterfs/MasterFileObject.java,v  <--  MasterFileObject.java
new revision: 1.64; previous revision: 1.63

/cvs/openide/masterfs/src/org/netbeans/modules/masterfs/Delegate.java,v  <--  Delegate.java
new revision: 1.26; previous revision: 1.25

/cvs/openide/masterfs/src/org/netbeans/modules/masterfs/ProvidedExtensionsProxy.java,v  <--  new revision: 1.6; previous
revision: 1.5

/cvs/openide/masterfs/apichanges.xml,v  <--  apichanges.xml
new revision: 1.7; previous revision: 1.6

/cvs/openide/masterfs/test/unit/src/org/netbeans/modules/masterfs/providers/ProvidedExtensionsTest.java,v  <--  new
revision: 1.8; previous revision: 1.7

/cvs/openide/masterfs/src/org/netbeans/modules/masterfs/providers/ProvidedExtensions.java,v  <--  new revision: 1.6;
previous revision: 1.5
Comment 7 rmatous 2007-06-15 16:08:53 UTC
-
Comment 8 rmatous 2007-06-15 16:10:04 UTC
Fixed


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo